gSOAP UDDI v2: uddi2__find_USCOREservice Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__find_USCOREservice Class Reference

Schema urn:uddi-org:api_v2:"find_service". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__find_USCOREservice:

[legend]
List of all members.

## Public Member Functions
| uddi2__find_USCOREservice (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREservice (struct soap *, const char *name)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREservice (struct soap *, std::vector< char * > tModelKeys)
| Member declared in uddi2-typemap.dat.
| uddi2__find_USCOREservice (struct soap *, std::vector< uddi2__keyedReference * > keyedReferences)
| Member declared in uddi2-typemap.dat.
uddi2__serviceList * | send (const char *endpoint)
| Member declared in uddi2-typemap.dat.
## Public Attributes
uddi2__findQualifiers * | findQualifiers
| Element reference "urn:uddi-org:api_v2":findQualifiers.
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded.
uddi2__categoryBag * | categoryBag
| Element reference "urn:uddi-org:api_v2":categoryBag.
uddi2__tModelBag * | tModelBag
| Element reference "urn:uddi-org:api_v2":tModelBag.
char * | generic
| Attribute generic of type xs:string.
int * | maxRows
| Attribute maxRows of type xs:int.
uddi2__businessKey | businessKey
| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"find_service".

Represents a request to locate services that meet the specified requirements.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137715

See also Code Example 1: Finding a service.

## Constructor & Destructor Documentation

uddi2__find_USCOREservice::uddi2__find_USCOREservice | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the find_USCOREservice class.

uddi2__find_USCOREservice::uddi2__find_USCOREservice | ( | struct soap * | soap,
|  | const char * | name
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | name | of the service
Creates an instance of the find_USCOREservice class using the specified name.

uddi2__find_USCOREservice::uddi2__find_USCOREservice | ( | struct soap * | soap,
|  | std::vector< char * > | tModelKeys
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | tModelKeys | collection of tModel key strings
Creates an instance of the find_USCOREservice class using the specified tModel keys.

uddi2__find_USCOREservice::uddi2__find_USCOREservice | ( | struct soap * | soap,
|  | std::vector< uddi2__keyedReference * > | keyedReferences
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | keyedReferences | collection of category keys
Creates an instance of the find_USCOREservice class using the specified category keys.

## Member Function Documentation

uddi2__serviceList * uddi2__find_USCOREservice::send | ( | const char * | endpoint | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
Returns: A pointer to a uddi2__serviceList object or NULL on error Send a request to a UDDI server to find a list of services. See also Code Example 1: Finding a service.

## Member Data Documentation

uddi2__businessKey uddi2__find_USCOREservice::businessKey

| Attribute businessKey of type "urn:uddi-org:api_v2":businessKey. Optional attribute

uddi2__categoryBag* uddi2__find_USCOREservice::categoryBag

| Element reference "urn:uddi-org:api_v2":categoryBag. Optional element

uddi2__findQualifiers* uddi2__find_USCOREservice::findQualifiers

| Element reference "urn:uddi-org:api_v2":findQualifiers. Optional element

char* uddi2__find_USCOREservice::generic

| Attribute generic of type xs:string. Required attribute

int* uddi2__find_USCOREservice::maxRows

| Attribute maxRows of type xs:int. Optional attribute

std::vector<uddi2__name* > uddi2__find_USCOREservice::name

| Vector of uddi2__name* with length 0..unbounded.

struct soap* uddi2__find_USCOREservice::soap

| A handle to the soap struct context that manages this class instance.

uddi2__tModelBag* uddi2__find_USCOREservice::tModelBag

| Element reference "urn:uddi-org:api_v2":tModelBag. Optional element

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h